{$apptype console}
// ACM 2009
// Problem B
// (C) Chistyakov T. S.

var
  fi, fo: textfile;
  i, sq, n: integer;
begin
  assignfile(fi, 'input.txt');
  assignfile(fo, 'output.txt');
  reset(fi);
  rewrite(fo);

  read(fi, n);
  i := 1;
  sq := 1;
  while sq <= n do begin
    write(fo, sq, ' ');
    Inc(sq, i + i + 1);
    Inc(i);
  end;
  closefile(fi);
  closefile(fo);
end.
